Bug 1592931 - /var/run/redis directory not created by RPM (redis-3.2.11-1.el6.x86_64.rpm)
Summary: /var/run/redis directory not created by RPM (redis-3.2.11-1.el6.x86_64.rpm)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: redis
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-19 15:33 UTC by cmelaro
Modified: 2018-08-04 19:41 UTC (History)
5 users (show)

Fixed In Version: redis-3.2.12-1.el6 redis-3.2.12-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1635265 (view as bug list)
Environment:
Last Closed: 2018-08-04 19:28:14 UTC
Type: Bug


Attachments (Terms of Use)

Description cmelaro 2018-06-19 15:33:27 UTC
Description of problem:
/var/run/redis directory not created by RPM

Version-Release number of selected component (if applicable):
redis-3.2.11-1.el6.x86_64.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install RPM and /var/run/redis directory does not exist.
2.
3.

Actual results:


Expected results:
Expect /var/run/redis directory to exist after RPM installed.

Additional info:

Not in the binary RPM...

[root@test ~]# rpm2cpio ./redis-3.2.11-1.el6.x86_64.rpm | cpio -t
./etc/logrotate.d/redis
./etc/rc.d/init.d/redis
./etc/rc.d/init.d/redis-sentinel
./etc/redis-sentinel.conf
./etc/redis.conf
./etc/security/limits.d/95-redis.conf
./usr/bin/redis-benchmark
./usr/bin/redis-check-aof
./usr/bin/redis-check-rdb
./usr/bin/redis-cli
./usr/bin/redis-sentinel
./usr/bin/redis-server
./usr/libexec/redis-shutdown
./usr/share/doc/redis-3.2.11
./usr/share/doc/redis-3.2.11/00-RELEASENOTES
./usr/share/doc/redis-3.2.11/BUGS
./usr/share/doc/redis-3.2.11/CONTRIBUTING
./usr/share/doc/redis-3.2.11/COPYING
./usr/share/doc/redis-3.2.11/MANIFESTO
./usr/share/doc/redis-3.2.11/README.md
./usr/share/man/man1/redis-benchmark.1.gz
./usr/share/man/man1/redis-check-aof.1.gz
./usr/share/man/man1/redis-check-rdb.1.gz
./usr/share/man/man1/redis-cli.1.gz
./usr/share/man/man1/redis-sentinel.1.gz
./usr/share/man/man1/redis-server.1.gz
./usr/share/man/man5/redis-sentinel.conf.5.gz
./usr/share/man/man5/redis.conf.5.gz
./var/lib/redis
./var/log/redis
2619 blocks
[root@test ~]#

There is configuration for it in the source RPM SPEC file however...

[root@test ~]# rpm2cpio ./redis-3.2.11-1.el6.src.rpm | cpio -iv --to-stdout redis.spec | grep "%{_localstatedir}/run"
redis.spec
3127 blocks
install -d %{buildroot}%{_localstatedir}/run/%{name}
%dir %attr(0750, redis, redis) %ghost %{_localstatedir}/run/%{name}
[root@test ~]#

Comment 1 Fedora Update System 2018-07-20 07:48:15 UTC
redis-3.2.12-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a83d5ad82b

Comment 2 Fedora Update System 2018-07-20 07:48:47 UTC
redis-3.2.12-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8de40d24ca

Comment 3 Nathan Scott 2018-07-20 07:55:51 UTC
This is resolved in redis-3.2.12 - going into testing now ...

$ rpm -qlp ~/Downloads/redis-3.2.12-1.el6.x86_64.rpm | grep /var/run
/var/run/redis

cheers.

Comment 4 Fedora Update System 2018-07-20 17:19:32 UTC
redis-3.2.12-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8de40d24ca

Comment 5 Fedora Update System 2018-07-20 17:28:03 UTC
redis-3.2.12-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-a83d5ad82b

Comment 6 Fedora Update System 2018-08-04 19:28:14 UTC
redis-3.2.12-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-08-04 19:41:17 UTC
redis-3.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.